Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_DLL_Parser Class Reference

Implment the parser for the DLL-style IORs. More...

`#include <DLL_Parser.h>`

Inheritance diagram for TAO_DLL_Parser:

[legend]
Collaboration diagram for TAO_DLL_Parser:

[legend]
List of all members.

## Public Methods
| TAO_DLL_Parser (void)
| Constructor. More...
virtual | ~TAO_DLL_Parser (void)
| The destructor. More...
virtual int | match_prefix (const char *ior_string) const
| Return 1 if <ior_string> starts with a prefix known to this IOR parser. More...
virtual CORBA::Object_ptr | parse_string (const char *ior, CORBA::ORB_ptr orb ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException)

## Detailed Description

Implment the parser for the DLL-style IORs.

The DLL-style IORs allows applications to transparently load object implementations. The ORB can parse an IOR in the format:

DLL:Service_Name

the string_to_object() function will use ACE's Service Configurator to dynamically load the service named 'Service_Name'. The ORB assumes that this service implements the TAO_Object_Loader interface, and uses that interface to create a new object implementation locally. The object reference for this local object is returned to the application.

This can be used in applications that sometimes require local object while other times they may use a remote implementation. For example, the application could be configured to use a remote Event Service or to dynamically load an Event Service implementation and use the local copy instead. The local Event Service would federate to its remote peers to work as-if a single Event Service was in place.

Such an application could be written as follows:

int main (int argc, char* argv) { CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);

CORBA::Object_var object = orb->resolve_initial_references("EventService"); // Use <object> here... }

if the application is invoked using:

$ program -ORBInitRef EventService=IOR:....

then a remote event service is used, but the application could also be invoked using:

$ program -ORBInitRef EventService=DLL:Event_Service_Loader

In this case the Event_Service implementation will be dynamically loaded without any modifications to the application code.

## Constructor & Destructor Documentation

ACE_INLINE TAO_DLL_Parser::TAO_DLL_Parser | ( | void |  | ) |

| Constructor.

TAO_DLL_Parser::~TAO_DLL_Parser | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

int TAO_DLL_Parser::match_prefix | ( | const char * | ior_string | ) | const`[virtual]`

| Return 1 if <ior_string> starts with a prefix known to this IOR parser. Reimplemented from TAO_IOR_Parser.

CORBA::Object_ptr TAO_DLL_Parser::parse_string | ( | const char * | ior,
|  | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Parse the <ior> argument and return an object reference. The call may raise the standard system exceptions (NO_MEMORY, INV_OBJREF, etc.) Reimplemented from TAO_IOR_Parser.

The documentation for this class was generated from the following files:

- DLL_Parser.h
- DLL_Parser.cpp
- DLL_Parser.i